#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

Summary:	Python style guide checker
Summary(pl.UTF-8):	Sprawdzanie zgodności z poradnikiem stylu kodowania w Pythonie
Name:		python-pycodestyle
# NOTE: before upgrading to >=2.8.0 check for python2-compatible flake8 release supporting new pycodestyle
Version:	2.7.0
Release:	6
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pycodestyle/
Source0:	https://files.pythonhosted.org/packages/source/p/pycodestyle/pycodestyle-%{version}.tar.gz
# Source0-md5:	b6d333b5ef185b73b54ec0e9292d7d9e
URL:		https://pycodestyle.readthedocs.io/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pycodestyle is a tool to check your Python code against some of the
style conventions in PEP 8. This module was formerly called pep8.

%description -l pl.UTF-8
pycodestyle to narzędzie do sprawdzania kodu w Pythonie względem
niektórych konwencji stylistycznych opisanych w PEP 8. Ten moduł
wcześniej nazywał się pep8.

%package apidocs
Summary:	API documentation for pycodestyle module
Summary(pl.UTF-8):	Dokumentacja API modułu pycodestyle
Group:		Documentation

%description apidocs
API documentation for pycodestyle module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu pycodestyle.

%prep
%setup -q -n pycodestyle-%{version}

%build
%py_build

%if %{with tests}
%{__python} -m testsuite.test_all
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pycodestyle{,-2}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE README.rst
%attr(755,root,root) %{_bindir}/pycodestyle-2
%{py_sitescriptdir}/pycodestyle.py[co]
%{py_sitescriptdir}/pycodestyle-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Fri Mar 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycodestyle.git;a=log;h=master

* Fri Mar 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f6e823
- Rel 6; drop python3 from here - see python3-pycodestyle.spec

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 44a8170
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> aa67d8d
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ed3a6d6
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 20e5e21
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 89b9060
- updated to 2.7.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 6b65bc8
- release 5 (by relup.sh)

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> af9231e
- don't use deprecated setuptools test command
- moved default binary to python3
- release 4

* Thu Dec 12 2019 Marcin Krol <hawk@tld-linux.org> b7ae9a6
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4d97be1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 7fd6ab6
- updated to 2.5.0

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 4865d89
- Revert "Revert "- updated to 2.4.0""

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 7974728
- added py3.7 patch (fixes tests with python3.7; note: changes output for async keyword)

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> e347e53
- note on 2.4.0 vs flake8

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 9b2fd2c
- Revert "- updated to 2.4.0"

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 15f5bdc
- updated to 2.4.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f69f641
- release 2 (by relup.sh)

* Sat Apr 08 2017 Jakub Bogusz <qboosh@pld-linux.org> ba95afa
- new

